# dask.dataframe.Series.visualize

Series.visualize(filename='mydask', format=None, optimize_graph=False, **kwargs)

  Render the computation of this object’s task graph using graphviz.

  Requires `graphviz` to be installed.

  Parameters:
    filename str or None, optional

      The name of the file to write to disk. If the provided filename doesn’t include an extension, ‘.png’ will be used by default. If filename is None, no file will be written, and we communicate with dot using only pipes.

    format{‘png’, ‘pdf’, ‘dot’, ‘svg’, ‘jpeg’, ‘jpg’}, optional

      Format in which to write output file. Default is ‘png’.

    optimize_graph bool, optional

      If True, the graph is optimized before rendering. Otherwise, the graph is displayed as is. Default is False.

    color: {None, ‘order’}, optional

      Options to color nodes. Provide `cmap=` keyword for additional colormap

    **kwargs

      Additional keyword arguments to forward to `to_graphviz`.

  Returns:
    result IPython.display.Image, IPython.display.SVG, or None

      See dask.dot.dot_graph for more information.

  See also

  `dask.visualize`
  `dask.dot.dot_graph`

  Notes

  For more information on optimization see here:

  https://docs.dask.org/en/latest/optimize.html

  Examples

      >>> x.visualize(filename='dask.pdf')
      >>> x.visualize(filename='dask.pdf', color='order')